<?php

namespace \Losc\CucmBundle\Model\Webservice\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for RLicensedUser StructType
 * @subpackage Structs
 */
class RLicensedUser extends AbstractStructBase
{
    /**
     * The userId
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $userId;
    /**
     * The firstName
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $firstName;
    /**
     * The lastName
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $lastName;
    /**
     * The snrEnabled
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $snrEnabled;
    /**
     * The emEnabled
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $emEnabled;
    /**
     * The deviceCount
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $deviceCount;
    /**
     * The licenseType
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $licenseType;
    /**
     * The licenseUsed
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $licenseUsed;
    /**
     * The uuid
     * Meta information extracted from the WSDL
     * - base: xsd:string
     * - pattern: \{........-....-....-....-............\}
     * @var string
     */
    public $uuid;
    /**
     * Constructor method for RLicensedUser
     * @uses RLicensedUser::setUserId()
     * @uses RLicensedUser::setFirstName()
     * @uses RLicensedUser::setLastName()
     * @uses RLicensedUser::setSnrEnabled()
     * @uses RLicensedUser::setEmEnabled()
     * @uses RLicensedUser::setDeviceCount()
     * @uses RLicensedUser::setLicenseType()
     * @uses RLicensedUser::setLicenseUsed()
     * @uses RLicensedUser::setUuid()
     * @param string $userId
     * @param string $firstName
     * @param string $lastName
     * @param string $snrEnabled
     * @param string $emEnabled
     * @param string $deviceCount
     * @param string $licenseType
     * @param string $licenseUsed
     * @param string $uuid
     */
    public function __construct($userId = null, $firstName = null, $lastName = null, $snrEnabled = null, $emEnabled = null, $deviceCount = null, $licenseType = null, $licenseUsed = null, $uuid = null)
    {
        $this
            ->setUserId($userId)
            ->setFirstName($firstName)
            ->setLastName($lastName)
            ->setSnrEnabled($snrEnabled)
            ->setEmEnabled($emEnabled)
            ->setDeviceCount($deviceCount)
            ->setLicenseType($licenseType)
            ->setLicenseUsed($licenseUsed)
            ->setUuid($uuid);
    }
    /**
     * Get userId value
     * @return string|null
     */
    public function getUserId()
    {
        return $this->userId;
    }
    /**
     * Set userId value
     * @param string $userId
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\RLicensedUser
     */
    public function setUserId($userId = null)
    {
        $this->userId = $userId;
        return $this;
    }
    /**
     * Get firstName value
     * @return string|null
     */
    public function getFirstName()
    {
        return $this->firstName;
    }
    /**
     * Set firstName value
     * @param string $firstName
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\RLicensedUser
     */
    public function setFirstName($firstName = null)
    {
        $this->firstName = $firstName;
        return $this;
    }
    /**
     * Get lastName value
     * @return string|null
     */
    public function getLastName()
    {
        return $this->lastName;
    }
    /**
     * Set lastName value
     * @param string $lastName
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\RLicensedUser
     */
    public function setLastName($lastName = null)
    {
        $this->lastName = $lastName;
        return $this;
    }
    /**
     * Get snrEnabled value
     * @return string|null
     */
    public function getSnrEnabled()
    {
        return $this->snrEnabled;
    }
    /**
     * Set snrEnabled value
     * @param string $snrEnabled
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\RLicensedUser
     */
    public function setSnrEnabled($snrEnabled = null)
    {
        $this->snrEnabled = $snrEnabled;
        return $this;
    }
    /**
     * Get emEnabled value
     * @return string|null
     */
    public function getEmEnabled()
    {
        return $this->emEnabled;
    }
    /**
     * Set emEnabled value
     * @param string $emEnabled
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\RLicensedUser
     */
    public function setEmEnabled($emEnabled = null)
    {
        $this->emEnabled = $emEnabled;
        return $this;
    }
    /**
     * Get deviceCount value
     * @return string|null
     */
    public function getDeviceCount()
    {
        return $this->deviceCount;
    }
    /**
     * Set deviceCount value
     * @param string $deviceCount
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\RLicensedUser
     */
    public function setDeviceCount($deviceCount = null)
    {
        $this->deviceCount = $deviceCount;
        return $this;
    }
    /**
     * Get licenseType value
     * @return string|null
     */
    public function getLicenseType()
    {
        return $this->licenseType;
    }
    /**
     * Set licenseType value
     * @param string $licenseType
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\RLicensedUser
     */
    public function setLicenseType($licenseType = null)
    {
        $this->licenseType = $licenseType;
        return $this;
    }
    /**
     * Get licenseUsed value
     * @return string|null
     */
    public function getLicenseUsed()
    {
        return $this->licenseUsed;
    }
    /**
     * Set licenseUsed value
     * @param string $licenseUsed
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\RLicensedUser
     */
    public function setLicenseUsed($licenseUsed = null)
    {
        $this->licenseUsed = $licenseUsed;
        return $this;
    }
    /**
     * Get uuid value
     * @return string|null
     */
    public function getUuid()
    {
        return $this->uuid;
    }
    /**
     * Set uuid value
     * @param string $uuid
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\RLicensedUser
     */
    public function setUuid($uuid = null)
    {
        $this->uuid = $uuid;
        return $this;
    }
}
